Package twisted :: Package enterprise :: Module dbcred :: Class PerspectiveRow

[frames | no frames]

## Class PerspectiveRow

    RowObject --+
                |
               PerspectiveRow

Method Summary
| `__repr__(self)`
Inherited from RowObject
| ``__setattr__`(self, name, value)` Special setattr to prevent changing of key values.
| ``assignKeyAttr`(self, attrName, value)` Assign to a key attribute.
| ``createDefaultAttributes`(self)` Populate instance with default attributes.
| ``findAttribute`(self, attrName)` Find an attribute by caseless name.
| ``getKeyTuple`(self)`
| ``setDirty`(self, flag)` Use this to set the 'dirty' flag.

Class Variable Summary
`list` | `rowColumns` = `[('identity_name', 'varchar'), ('perspectiv...`
`list` | `rowForeignKeys` = `[('twisted_identities', [('identity_nam...`
`list` | `rowKeyColumns` = `[('identity_name', 'varchar'), ('perspec...`
`str` | `rowTableName` = `'twisted_perspectives'`
Inherited from RowObject
`int` | `dirty` = 0
`int` | `populated` = 0

Class Variable Details

### rowColumns

  Type:
    `list`
  Value:

        [('identity_name', 'varchar'),
         ('perspective_name', 'varchar'),
         ('service_name', 'varchar'),
         ('perspective_type', 'varchar')]

### rowForeignKeys

  Type:
    `list`
  Value:

        [('twisted_identities',
          [('identity_name', 'varchar')],
          [('identity_name', 'varchar')],
          None,
          1)]

### rowKeyColumns

  Type:
    `list`
  Value:

        [('identity_name', 'varchar'),
         ('perspective_name', 'varchar'),
         ('service_name', 'varchar')]

### rowTableName

  Type:
    `str`
  Value:

        'twisted_perspectives'

Generated by Epydoc 2.0 on Sat May 15 20:08:51 2004 | http://epydoc.sf.net